EventHandlerMethodExecutor (Velocity 1.7 API)
Keywords: org.apache.velocity.app.event.EventHandlerMethodExecutor interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.app.event
Interface EventHandlerMethodExecutor

All Known Implementing Classes:
  IncludeEventHandler.IncludeEventExecutor, InvalidReferenceEventHandler.InvalidGetMethodExecutor, InvalidReferenceEventHandler.InvalidMethodExecutor, InvalidReferenceEventHandler.InvalidSetMethodExecutor, MethodExceptionEventHandler.MethodExceptionExecutor, NullSetEventHandler.ShouldLogOnNullSetExecutor, ReferenceInsertionEventHandler.referenceInsertExecutor

public interface EventHandlerMethodExecutor

Strategy object used to execute event handler method. Will be called while looping through all the chained event handler implementations. Each EventHandler method call should have a parallel executor object defined.

Since:
  1.5
Version:
  $Id: EventHandlerMethodExecutor.java 685685 2008-08-13 21:43:27Z nbubna $
Author:
  Will Glass-Husain

Method Summary
`void` | `execute(EventHandler handler)` Execute the event handler method.
`Object` | `getReturnValue()` Get return value at end of all the iterations
`boolean` | `isDone()` Called after execute() to see if iterating should stop.

Method Detail

### execute

    public void execute(EventHandler handler)
                 throws Exception

  Execute the event handler method. If Object is not null, do not iterate further through the handler chain. If appropriate, the returned Object will be the return value.

  Parameters:
    `handler` - call the appropriate method on this handler
  Throws:
    `Exception` - generic exception potentially thrown by event handlers

### isDone

    public boolean isDone()

  Called after execute() to see if iterating should stop. Should always return false before method execute() is run.

  Returns:
    true if no more event handlers for this method should be called.

### getReturnValue

    public Object getReturnValue()

  Get return value at end of all the iterations

  Returns:
    null if no return value is required

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.